package hexentric;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class HelpDialog extends JDialog
{
	public HelpDialog(Frame parent)
	{
		super(parent);
		
		//{{INIT_CONTROLS
		setResizable(false);
		getContentPane().setLayout(null);
		getContentPane().setBackground(new java.awt.Color(182,182,107));
		setSize(404,450);
		setVisible(false);
		jta.setText("\n LazyLOS Help\n\n Please enter data in the text boxes as follows:\n\n   F    Height of firer.\n  ---   Range in hexes from Firer to Obstacle\n   O   Height of Obstacle\n  ---   Range in hexes from Obstacle to Target\n   T    Height of Target\n\n Remember to put in the full height levels (F, O & T), i.e. for a firer at building\n Level 1 in a building whose base level is 2 you must enter 3 for \'Height of\n Firer\'. For the obstacle height put in the full height of the obstacle, i.e. for a\n woods obstacle whose base level is 1 you must enter 2 for \'Height of\n Obstacle\'. The same guidelines apply to Targets.\n\n If you have valid values in all 5 boxes press \'Calculate\' to see whether LOS\n exists or not in the given situation (it may also show if any blind hexes are\n created). If the obstacle is a non-Cliff Crest Line please check the appropriate\n box.\n\n Version: 1.0\n Author: Will Waller\n Email: will@metamedia.ie\n With thanks to Tom Repetti for his excellent LOSaid document which can be\n found at http://members.xoom.com/tqrtuomo/LOSaid.PDF");
		jta.setSelectionColor(java.awt.Color.orange);
		jta.setSelectedTextColor(new java.awt.Color(128,0,0));
		jta.setLineWrap(true);
		jta.setDisabledTextColor(new java.awt.Color(24,24,24));
		jta.setEditable(false);
		jta.setEnabled(false);
		getContentPane().add(jta);
		jta.setBackground(new java.awt.Color(182,182,107));
		jta.setFont(new Font("SansSerif", Font.PLAIN, 11));
		jta.setBounds(11,4,382,383);
		b_close.setText("Close");
		getContentPane().add(b_close);
		b_close.setForeground(new java.awt.Color(50,50,24));
		b_close.setBackground(new java.awt.Color(182,182,107));
		b_close.setBounds(162,394,80,22);
		//}}
	
		//{{REGISTER_LISTENERS
		Listener listener = new Listener();
		b_close.addActionListener(listener);
		//}}
	}

	public HelpDialog()
	{
		this((Frame)null);
	}

	public HelpDialog(String sTitle)
	{
		this();
		setTitle(sTitle);
	}

	public void setVisible(boolean b)
	{
		if (b)
			setLocation(50, 50);
		super.setVisible(b);
	}

	static public void main(String args[])
	{
		(new HelpDialog()).setVisible(true);
	}

	//{{DECLARE_CONTROLS
	JTextArea jta = new JTextArea();
	JButton b_close = new JButton();
	//}}


	class Listener implements ActionListener
	{
		public void actionPerformed(ActionEvent event)
		{
			if (event.getSource() == b_close)
				close();
		}
	}

	void close()
	{
		this.setVisible(false);
	}
}